Finalize Evaluation
curl --request POST \
--url https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metrics": {}
}'import requests
url = "https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/finalize"
payload = { "metrics": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metrics: {}})
};
fetch('https://api.primeintellect.ai/api/v1/evaluations/{evaluation_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation_id": "<string>",
"message": "<string>",
"total_samples": 123,
"avg_score": 123,
"min_score": 123,
"max_score": 123,
"viewer_url": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}evals
Finalize Evaluation
Mark an evaluation as complete and compute final statistics.
POST
/
api
/
v1
/
evaluations
/
{evaluation_id}
/
finalize
Finalize Evaluation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to finalize an evaluation (optional, can include final metrics)
Final metrics to attach to the evaluation
Response
Successful Response
Response after finalizing an evaluation
Evaluation status enum
Available options:
PENDING, RUNNING, PROCESSING, COMPLETED, FAILED, TIMEOUT, CANCELLED Was this page helpful?
⌘I